// Copyright 2023 Harran Ali <harran.m@gmail.com>. All rights reserved.
// Copyright (c) 2024 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package config

import "git.smarteching.com/goffee/core"

// Retrieve the main config for the HTTP request
func GetRequestConfig() core.RequestConfig {
	//#####################################
	//# Main configuration for gorm   #####
	//#####################################

	return core.RequestConfig{
		// Set the max file upload size
		MaxUploadFileSize: 40000000, // ~40MB
	}
}
